Subject: RE: [Sigtran] Padding in IUA Parameters

From: Arun Panda <[email-masked]>
Date: Wed, 3 Jul 2002 10:10:59 +0530

Ken,

According to section 3.1.4 of draft-ietf-sigtran-m3ua-12 " For messages with
a final parameter containing padding, the parameter padding MUST be included
in the Message Length". 
Does that mean for other parameters, the padded bytes MAY be included in the
message length.

Thanks and Rgds
Arun

-----Original Message-----
From: Ken Morneault [mailto:[email-masked]]
Sent: Tuesday, July 02, 2002 11:28 PM
To: Arun Panda; 'Sigtran'
Subject: Re: [Sigtran] Padding in IUA Parameters

Arun,

IUA and M3UA are consistent in terms of parameter padding.  All
parameters must be padded to so that total length is a multiple
of 4 bytes.

Regards,

Ken

At 02:29 PM 7/2/2002 +0530, Arun Panda wrote:
>Hello,
>
>Section 3.1.5 of RFC 3057 says that "The total length of a parameter
>(including Tag, Parameter Length and Value fields) MUST be a multiple of 4
>bytes"
>Does this hold good for all the parameters. In case of M3UA padding is done
>only if the parameter is the last one in the message(e.g Info String). In
>case of IUA Asp Active , if the IID is text formatted, then do we have to
>pad the parameter with 0s.
>Please clarify
>Thanks and Rgds
>Arun
>
>Vision without action is a daydream. 
>Action without vision is a nightmare
>
>
>_______________________________________________
>Sigtran mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/sigtran 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ken Morneault <[email-masked]>
Date: Wed, 03 Jul 2002 08:45:22 -0400

Arun,

I have asked in the past for that text to be fixed.  There was a goal to
allow all UAs to run over TCP in addition to SCTP.  For this to work,
the message length in the common header must be the total length
of the message including ALL padding bytes.  

So, yes, the padding bytes of other parameters should be included
in the message length.

Ken